import "../../chunk-F3FYYIAV.js";
import { escapeForRegExp } from "./text";
const removeLeadingSlash = (url) => url.replace(/^\/+/, "");
const removeTrailingSlash = (url) => url.replace(/\/+$/, "");
const removeSlashes = (url, leading = true, trailing = true) => {
  const newUrl = leading ? removeLeadingSlash(url) : url;
  return trailing ? removeTrailingSlash(newUrl) : newUrl;
};
const createRouteExpression = (route, leadingSlash = true, trailingSlash = false) => {
  let expression = removeSlashes(route).split("/").map((part) => part.startsWith(":") ? "(?:([^\\/]+?))" : escapeForRegExp(part)).join("\\/");
  if (leadingSlash) {
    expression = `\\/${expression}`;
  }
  if (trailingSlash) {
    expression = `${expression}\\/`;
  }
  return new RegExp(expression);
};
export {
  createRouteExpression,
  removeLeadingSlash,
  removeSlashes,
  removeTrailingSlash
};
//# sourceMappingURL=routes.js.map