"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
var forceHTTPS_exports = {};
__export(forceHTTPS_exports, {
  ForceHTTPS: () => ForceHTTPS,
  forceHTTPSMiddleware: () => forceHTTPSMiddleware
});
module.exports = __toCommonJS(forceHTTPS_exports);
var import_utils = require("../../utils");
class ForceHTTPS {
  /**
   * @param options  The options to construct the class.
   */
  constructor(options = {}) {
    /**
     * The customization options.
     */
    __publicField(this, "_options");
    this._options = {
      ignoredRoutes: [/^\/service\//],
      ...options
    };
  }
  /**
   * Generates the middleware that redirects the traffic.
   */
  getMiddleware() {
    return (req, res, next) => {
      if (!req.secure && req.get("X-Forwarded-Proto") !== "https" && !this._options.ignoredRoutes.some(
        (expression) => expression.test(req.originalUrl)
      )) {
        const host = req.get("Host");
        res.redirect(`https://${host}${req.url}`);
      } else {
        next();
      }
    };
  }
  /**
   * The customization options.
   */
  get options() {
    return { ...this._options };
  }
}
const forceHTTPSMiddleware = (0, import_utils.middlewareCreator)(
  (options = {}) => (app) => {
    const enabled = app.getConfig("forceHTTPS");
    if (!enabled)
      return void 0;
    return new ForceHTTPS(options).getMiddleware();
  }
);
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ForceHTTPS,
  forceHTTPSMiddleware
});
//# sourceMappingURL=forceHTTPS.js.map