"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var httpError_exports = {};
__export(httpError_exports, {
  HTTPError: () => HTTPError,
  createHTTPError: () => createHTTPError,
  httpErrorProvider: () => httpErrorProvider
});
module.exports = __toCommonJS(httpError_exports);
var import_utils = require("../../utils");
var import_appError = require("./appError");
class HTTPError extends import_appError.AppError {
  /**
   * @param message   The error message.
   * @param status    The HTTP status code.
   * @param context   Context information related to the error.
   * @param statuses  A reference to the service that generates HTTP status codes. This
   *                  is in case the implementation wants to use a special version from
   *                  the container; otherwise, it will use the `statuses` library
   *                  directly.
   */
  constructor(message, status = (0, import_utils.statuses)("ok"), context = {}, statuses = import_utils.statuses) {
    super(message, { ...context, status }, statuses);
  }
}
const createHTTPError = (...args) => new HTTPError(...args);
const httpErrorProvider = (0, import_utils.provider)((app) => {
  app.set("HTTPError", () => HTTPError);
  app.set("httpError", () => createHTTPError);
});
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  HTTPError,
  createHTTPError,
  httpErrorProvider
});
//# sourceMappingURL=httpError.js.map