import * as _homer0_jimple from '@homer0/jimple';
import { J as Jimpex } from '../../index-C6I3NCC-.js';
export { AppError, AppErrorClass, AppErrorContext, CreateAppErrorFn, appErrorProvider, createAppError } from './appError.js';
export { CreateHTTPErrorFn, HTTPError, HTTPErrorClass, createHTTPError, httpErrorProvider } from './httpError.js';
export { SendFile, SendFileGeneratorOptions, SendFileOptions, sendFile, sendFileProvider } from './sendFile.js';
import '../../types/express.js';
import 'express';
import '../../types/http.js';
import 'https';
import 'http';
import 'spdy';
import 'node-fetch';
import '../../types/utils.js';
import '@homer0/path-utils';
import '@homer0/simple-logger';
import '@homer0/simple-config';
import '@homer0/events-hub';
import '../../utils/fns/statuses.js';
import 'statuses';

/**
 * Registers all the common services on the container.
 *
 * - {@link AppError | appError}
 * - {@link HTTPError | httpError}
 * - {@link SendFile | sendFile}
 *
 * @example
 *
 *   // Register the collection on the container
 *   container.register(commonServicesProvider);
 *   // Getting access to one the services instance
 *   const sendFile = container.get<SendFile>('sendFile');
 *
 * @group Providers
 */
declare const commonServicesProvider: {
    appErrorProvider: _homer0_jimple.Resource<"provider", "register", _homer0_jimple.ProviderRegisterFn<Jimpex>>;
    httpErrorProvider: _homer0_jimple.Resource<"provider", "register", _homer0_jimple.ProviderRegisterFn<Jimpex>>;
    sendFileProvider: _homer0_jimple.Resource<"provider", "register", _homer0_jimple.ProviderRegisterFn<Jimpex>>;
} & Record<string, _homer0_jimple.Resource<"provider", "register", _homer0_jimple.ProviderRegisterFn<Jimpex>>> & {
    provider: true;
} & {
    register: _homer0_jimple.ProviderRegisterFn<Jimpex>;
} & Record<string, unknown>;

export { commonServicesProvider };
