"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
var frontendFs_exports = {};
__export(frontendFs_exports, {
  FrontendFs: () => FrontendFs,
  frontendFsProvider: () => frontendFsProvider
});
module.exports = __toCommonJS(frontendFs_exports);
var import_promises = __toESM(require("fs/promises"));
var import_utils = require("../../utils");
class FrontendFs {
  /**
   * @param options  The options to construct the service.
   */
  constructor({ inject: { pathUtils } }) {
    /**
     * The service that generates the relative paths.
     */
    __publicField(this, "_pathUtils");
    this._pathUtils = pathUtils;
  }
  /**
   * Deletes a file from the file system.
   *
   * @param filepath  The path to the file.
   */
  delete(filepath) {
    return import_promises.default.unlink(this.getAppPath(filepath));
  }
  /**
   * Reads a file from the file system.
   *
   * @param filepath  The path to the file.
   * @param encoding  The text encoding in which the file should be read.
   */
  read(filepath, encoding = "utf-8") {
    return import_promises.default.readFile(this.getAppPath(filepath), encoding);
  }
  /**
   * Writes a file on the file system.
   *
   * @param filepath  The path to the file.
   * @param content   The contents of the file.
   */
  write(filepath, content) {
    return import_promises.default.writeFile(this.getAppPath(filepath), content);
  }
  /**
   * Utility method to get the path of a file relative to the application executable.
   *
   * @param filepath  The path to the file.
   */
  getAppPath(filepath) {
    return this._pathUtils.joinFrom("app", filepath);
  }
}
const frontendFsProvider = (0, import_utils.provider)((app) => {
  app.set(
    "frontendFs",
    () => new FrontendFs({
      inject: {
        pathUtils: app.get("pathUtils")
      }
    })
  );
});
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  FrontendFs,
  frontendFsProvider
});
//# sourceMappingURL=frontendFs.js.map