import * as _homer0_jimple from '@homer0/jimple';
import { J as Jimpex } from '../../index-C6I3NCC-.js';
export { FrontendFs, FrontendFsOptions, frontendFsProvider } from './frontendFs.js';
import '../../types/express.js';
import 'express';
import '../../types/http.js';
import 'https';
import 'http';
import 'spdy';
import 'node-fetch';
import '../../types/utils.js';
import '@homer0/path-utils';
import '@homer0/simple-logger';
import '@homer0/simple-config';
import '@homer0/events-hub';
import 'fs/promises';

/**
 * Registers all the frontend services on the container.
 *
 * - {@link FrontendFs | frontendFs}
 *
 * @example
 *
 *   // Register the collection on the container
 *   container.register(frontendServicesProvider);
 *   // Getting access to one the services instance
 *   const frontendFs = container.get<FrontendFs>('frontendFs');
 *
 * @group Providers
 */
declare const frontendServicesProvider: {
    frontendFsProvider: _homer0_jimple.Resource<"provider", "register", _homer0_jimple.ProviderRegisterFn<Jimpex>>;
} & Record<string, _homer0_jimple.Resource<"provider", "register", _homer0_jimple.ProviderRegisterFn<Jimpex>>> & {
    provider: true;
} & {
    register: _homer0_jimple.ProviderRegisterFn<Jimpex>;
} & Record<string, unknown>;

export { frontendServicesProvider };
