import * as _homer0_jimple from '@homer0/jimple';
import { J as Jimpex } from '../../index-C6I3NCC-.js';
import { HTMLGeneratorProviderOptions } from './htmlGenerator.js';
export { HTMLGenerator, HTMLGeneratorConstructorOptions, HTMLGeneratorOptions, HTMLGeneratorValuesService, htmlGeneratorProvider } from './htmlGenerator.js';
import '../../types/express.js';
import 'express';
import '../../types/http.js';
import 'https';
import 'http';
import 'spdy';
import 'node-fetch';
import '../../types/utils.js';
import '@homer0/path-utils';
import '@homer0/simple-logger';
import '@homer0/simple-config';
import '@homer0/events-hub';
import '../frontend/frontendFs.js';
import 'fs/promises';
import '@homer0/deferred';

/**
 * Registers all the HTML services on the container.
 *
 * - {@link HTMLGenerator | htmlGenerator}
 *
 * @example
 *
 *   // Register the collection on the container
 *   container.register(htmlServicesProvider);
 *   // Getting access to one the services instance
 *   const htmlGenerator = container.get<HTMLGenerator>('htmlGenerator');
 *
 * @group Providers
 */
declare const htmlServicesProvider: {
    htmlGeneratorProvider: _homer0_jimple.ResourceCreator<"provider", "register", (options?: HTMLGeneratorProviderOptions) => (app: Jimpex) => void, _homer0_jimple.ProviderRegisterFn<Jimpex>>;
} & Record<string, _homer0_jimple.Resource<"provider", "register", _homer0_jimple.ProviderRegisterFn<Jimpex>>> & {
    provider: true;
} & {
    register: _homer0_jimple.ProviderRegisterFn<Jimpex>;
} & Record<string, unknown>;

export { HTMLGeneratorProviderOptions, htmlServicesProvider };
