import * as _homer0_jimple from '@homer0/jimple';
import { J as Jimpex } from '../../index-C6I3NCC-.js';
export { ErrorResponse } from '@homer0/api-utils';
import { APIClientProviderOptions } from './apiClient.js';
export { APIClient, APIClientConfig, APIClientConstructorOptions, APIClientSettings, EndpointsType, apiClientProvider } from './apiClient.js';
export { GetCustomHeadersFromRequestOptions, HTTP, HTTPContructorOptions, HTTPFetchBody, HTTPFetchOptions, HTTPOptions, httpProvider } from './http.js';
export { HTMLPostMessageResponseOptions, JSONResponseOptions, ResponsesBuilder, ResponsesBuilderConstructorOptions, responsesBuilderProvider } from './responsesBuilder.js';
import '../../types/express.js';
import 'express';
import '../../types/http.js';
import 'https';
import 'http';
import 'spdy';
import 'node-fetch';
import '../../types/utils.js';
import '@homer0/path-utils';
import '@homer0/simple-logger';
import '@homer0/simple-config';
import '@homer0/events-hub';
import '../common/httpError.js';
import '../../utils/fns/statuses.js';
import 'statuses';
import '../common/appError.js';

/**
 * Registers all the HTTP services on the container.
 *
 * - {@link APIClient | apiClient}
 * - {@link HTTP | http}
 * - {@link ResponsesBuilder | responsesBuilder}
 *
 * @example
 *
 *   // Register the collection on the container
 *   container.register(httpServicesProvider);
 *   // Getting access to one the services instance
 *   const apiClient = container.get<APIClient>('apiClient');
 *
 * @group Providers
 */
declare const httpServicesProvider: {
    apiClientProvider: _homer0_jimple.ResourceCreator<"provider", "register", (options?: APIClientProviderOptions) => (app: Jimpex) => void, _homer0_jimple.ProviderRegisterFn<Jimpex>>;
    httpProvider: _homer0_jimple.Resource<"provider", "register", _homer0_jimple.ProviderRegisterFn<Jimpex>>;
    responsesBuilderProvider: _homer0_jimple.Resource<"provider", "register", _homer0_jimple.ProviderRegisterFn<Jimpex>>;
} & Record<string, _homer0_jimple.Resource<"provider", "register", _homer0_jimple.ProviderRegisterFn<Jimpex>>> & {
    provider: true;
} & {
    register: _homer0_jimple.ProviderRegisterFn<Jimpex>;
} & Record<string, unknown>;

export { APIClientProviderOptions, httpServicesProvider };
