import * as _homer0_jimple from '@homer0/jimple';
import { J as Jimpex } from '../../index-Bwf7JHu9.mjs';
import { EnsureBearerTokenProviderOptions } from './ensureBearerToken.mjs';
export { EnsureBearerConstructorOptions, EnsureBearerToken, EnsureBearerTokenErrorOptions, EnsureBearerTokenOptions, ensureBearerTokenProvider } from './ensureBearerToken.mjs';
import '../../types/express.mjs';
import 'express';
import '../../types/http.mjs';
import 'https';
import 'http';
import 'spdy';
import 'node-fetch';
import '../../types/utils.mjs';
import '@homer0/path-utils';
import '@homer0/simple-logger';
import '@homer0/simple-config';
import '@homer0/events-hub';
import '../../utils/fns/statuses.mjs';
import 'statuses';
import '../common/httpError.mjs';
import '../common/appError.mjs';

/**
 * Registers all the utility services on the container.
 *
 * - {@link EnsureBearerToken | ensureBearerToken}
 *
 * @example
 *
 *   // Register the collection on the container
 *   container.register(utilsServicesProvider);
 *   // Getting access to one the services instance
 *   const ensureBearerToken = container.get<EnsureBearerToken>('ensureBearerToken');
 *
 * @group Providers
 */
declare const utilsServicesProvider: {
    ensureBearerTokenProvider: _homer0_jimple.ResourceCreator<"provider", "register", (options?: EnsureBearerTokenProviderOptions) => (app: Jimpex) => void, _homer0_jimple.ProviderRegisterFn<Jimpex>>;
} & Record<string, _homer0_jimple.Resource<"provider", "register", _homer0_jimple.ProviderRegisterFn<Jimpex>>> & {
    provider: true;
} & {
    register: _homer0_jimple.ProviderRegisterFn<Jimpex>;
} & Record<string, unknown>;

export { EnsureBearerTokenProviderOptions, utilsServicesProvider };
