import { RequestHandler, ErrorRequestHandler } from 'express';
export { Express, NextFunction, Request, Response, Router } from 'express';

type ExpressMiddlewareLike = RequestHandler | ErrorRequestHandler;
type ExpressMiddleware = RequestHandler;
type AsyncExpressMiddleware = (...args: Parameters<ExpressMiddleware>) => Promise<void>;
type ExpressErrorHandler = ErrorRequestHandler;
type RouterMethod = 'all' | 'get' | 'head' | 'post' | 'patch' | 'put' | 'delete' | 'connect' | 'options' | 'trace';

export type { AsyncExpressMiddleware, ExpressErrorHandler, ExpressMiddleware, ExpressMiddlewareLike, RouterMethod };
