"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var routes_exports = {};
__export(routes_exports, {
  createRouteExpression: () => createRouteExpression,
  removeLeadingSlash: () => removeLeadingSlash,
  removeSlashes: () => removeSlashes,
  removeTrailingSlash: () => removeTrailingSlash
});
module.exports = __toCommonJS(routes_exports);
var import_text = require("./text");
const removeLeadingSlash = (url) => url.replace(/^\/+/, "");
const removeTrailingSlash = (url) => url.replace(/\/+$/, "");
const removeSlashes = (url, leading = true, trailing = true) => {
  const newUrl = leading ? removeLeadingSlash(url) : url;
  return trailing ? removeTrailingSlash(newUrl) : newUrl;
};
const createRouteExpression = (route, leadingSlash = true, trailingSlash = false) => {
  let expression = removeSlashes(route).split("/").map((part) => part.startsWith(":") ? "(?:([^\\/]+?))" : (0, import_text.escapeForRegExp)(part)).join("\\/");
  if (leadingSlash) {
    expression = `\\/${expression}`;
  }
  if (trailingSlash) {
    expression = `${expression}\\/`;
  }
  return new RegExp(expression);
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  createRouteExpression,
  removeLeadingSlash,
  removeSlashes,
  removeTrailingSlash
});
//# sourceMappingURL=routes.js.map